summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2018-01-04 16:14:26 +0100
committerFabian Groffen <grobian@gentoo.org>2018-01-04 16:16:28 +0100
commit1a6eb443371bda4ef4c07ccb329d7cc7d2b47ed0 (patch)
tree0af617389b7074e12a15ea32efbdae878c5fd640
parentdev-python/stapler: new ebuild. (diff)
downloadgentoo-1a6eb443371bda4ef4c07ccb329d7cc7d2b47ed0.tar.gz
gentoo-1a6eb443371bda4ef4c07ccb329d7cc7d2b47ed0.tar.bz2
gentoo-1a6eb443371bda4ef4c07ccb329d7cc7d2b47ed0.zip
eclass/multilib-build: fix ABI matching for ppc-macos
On Darwin, gcc emits __ppc__ or __ppc64__, not __powerpc__. Do additionally allow the short variants to match, such that we can use the wrapped packages on ppc-macos as well.
-rw-r--r--eclass/multilib-build.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/multilib-build.eclass b/eclass/multilib-build.eclass
index 7c69f86b4699..6356350c43b3 100644
--- a/eclass/multilib-build.eclass
+++ b/eclass/multilib-build.eclass
@@ -497,8 +497,8 @@ multilib_prepare_wrappers() {
# else
# error "abi_s390_32 not supported by the package."
# endif
-#elif defined(__powerpc__)
-# if defined(__powerpc64__)
+#elif defined(__powerpc__) || defined(__ppc__)
+# if defined(__powerpc64__) || defined(__ppc64__)
# error "abi_ppc_64 not supported by the package."
# else
# error "abi_ppc_32 not supported by the package."